<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>goocanvasmm: Goocanvas Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">goocanvasmm
   &#160;<span id="projectnumber">1.90.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Goocanvas Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Canvas.html">Canvas</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">The main canvas widget, containing a number of canvas items.  <a href="classGoocanvas_1_1Canvas.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Ellipse.html">Ellipse</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1EllipseModel.html">EllipseModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Grid.html">Grid</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1GridModel.html">GridModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Group.html">Group</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1GroupModel.html">GroupModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Image.html">Image</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1ImageModel.html">ImageModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Item.html">Item</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1ItemModel.html">ItemModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1ItemModelSimple.html">ItemModelSimple</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1ItemSimple.html">ItemSimple</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1LineDash.html">LineDash</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Path.html">Path</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1PathModel.html">PathModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Points.html">Points</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Polyline.html">Polyline</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1PolylineModel.html">PolylineModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Rect.html">Rect</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1RectModel.html">RectModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Style.html">Style</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Table.html">Table</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1TableModel.html">TableModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Text.html">Text</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1TextModel.html">TextModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Widget.html">Widget</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga573fbb624bd1860298300256c573ed9f"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga573fbb624bd1860298300256c573ed9f">AnimateType</a> { <br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga573fbb624bd1860298300256c573ed9fac73da3777679e10a5875f6ffc3855d73">ANIMATE_FREEZE</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga573fbb624bd1860298300256c573ed9fa6c9f73fb5d6777fd0936ff358f968ad9">ANIMATE_RESET</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga573fbb624bd1860298300256c573ed9fa3bda39abfc00fff457973ad1cd5399b5">ANIMATE_RESTART</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga573fbb624bd1860298300256c573ed9fa3596169d5da2b8e2719d05bc34ae35b8">ANIMATE_BOUNCE</a>
<br />
 }</td></tr>
<tr class="separator:ga573fbb624bd1860298300256c573ed9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga122a658ef0cec41e09f7c35ecfd48c5c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> { <br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5cac6f40447b4dd72bd5fb91ff163a58c35">EVENTS_VISIBLE_MASK</a> = 1 &lt;&lt; 0, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5cad7756c9454e6150569b9cfd7120172e2">EVENTS_PAINTED_MASK</a> = 1 &lt;&lt; 1, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5ca0b575aa31a54440baa2810378014523e">EVENTS_FILL_MASK</a> = 1 &lt;&lt; 2, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5caf50d2071eac2f04144711828e43afebc">EVENTS_STROKE_MASK</a> = 1 &lt;&lt; 3, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5ca552b67067020e35c65e2ce820e7539ce">EVENTS_NONE</a> = 0x0, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5ca6dccfee5773343b287ab98b6552fa462">EVENTS_VISIBLE_PAINTED</a> = 0xF, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5ca92817d807e222cd1e0dcb7ecee49e85c">EVENTS_VISIBLE_FILL</a> = 0x5, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5cab01ea23b73b587a2fa75832f570174f6">EVENTS_VISIBLE_STROKE</a> = 0x9, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5ca129e7004827afc2b24cf5a5caa7b631a">EVENTS_VISIBLE</a> = 0xD, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5ca8fb58328524787793a32856cea54709c">EVENTS_PAINTED</a> = 0xE, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5ca9201597f56cfabf5fd5d1c0cb85726a5">EVENTS_FILL</a> = 0x4, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5ca03ca3c108c83251eb2e5c4c07ce915c9">EVENTS_STROKE</a> = 0x8, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga122a658ef0cec41e09f7c35ecfd48c5ca9c0c09f95f29def7d9713381be26cb71">EVENTS_ALL</a> = 0xC
<br />
 }</td></tr>
<tr class="separator:ga122a658ef0cec41e09f7c35ecfd48c5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7d798b7e534b576ae0aa60432af54367"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga7d798b7e534b576ae0aa60432af54367">ItemVisibility</a> { <br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga7d798b7e534b576ae0aa60432af54367a6d2bd1aac2897f8f4b0365abdb26655e">ITEM_HIDDEN</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga7d798b7e534b576ae0aa60432af54367aa8fa21d8a272b928155753ebfa27f253">ITEM_INVISIBLE</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga7d798b7e534b576ae0aa60432af54367a62c6d2da44f28c30f27358fec6520e31">ITEM_VISIBLE</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga7d798b7e534b576ae0aa60432af54367a53bff04d3d614ca2bf625454c2825daa">ITEM_VISIBLE_ABOVE_THRESHOLD</a>
<br />
 }</td></tr>
<tr class="separator:ga7d798b7e534b576ae0aa60432af54367"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13ba5bdbd5d4084bc09e7e4bd2163741"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga13ba5bdbd5d4084bc09e7e4bd2163741">PathCommandType</a> { <br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga13ba5bdbd5d4084bc09e7e4bd2163741a1ed4ef993be449ccda5240d9841b1c97">PATH_MOVE_TO</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga13ba5bdbd5d4084bc09e7e4bd2163741a8345f67edc31fe9adce7d2e6c0633b13">PATH_CLOSE_PATH</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga13ba5bdbd5d4084bc09e7e4bd2163741a4206b8b00e1466778db390cf58a7eb35">PATH_LINE_TO</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga13ba5bdbd5d4084bc09e7e4bd2163741ac1bb629a040eff0ce55e3851200ba525">PATH_HORIZONTAL_LINE_TO</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga13ba5bdbd5d4084bc09e7e4bd2163741a28d5802a70b47fdde7addf5fce7a295e">PATH_VERTICAL_LINE_TO</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga13ba5bdbd5d4084bc09e7e4bd2163741ae4952f2e80d4af35fdae6142be6b65dd">PATH_CURVE_TO</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga13ba5bdbd5d4084bc09e7e4bd2163741a193aaa2c2562069a1c22f680e0958407">PATH_SMOOTH_CURVE_TO</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga13ba5bdbd5d4084bc09e7e4bd2163741a7626349b5c93be22e2686829956179ab">PATH_QUADRATIC_CURVE_TO</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga13ba5bdbd5d4084bc09e7e4bd2163741a650740cf2d047ab31296f6bd595abd64">PATH_SMOOTH_QUADRATIC_CURVE_TO</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga13ba5bdbd5d4084bc09e7e4bd2163741a7222187680805ea7379c86b81b075da7">PATH_ELLIPTICAL_ARC</a>
<br />
 }</td></tr>
<tr class="separator:ga13ba5bdbd5d4084bc09e7e4bd2163741"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a9e2643d330037f1178bf44e4178ea9"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga3a9e2643d330037f1178bf44e4178ea9">AnchorType</a> { <br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a908aa2f9e68a3988174ca56520cb3e8a">ANCHOR_CENTER</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a2d2ea35e8f3ab808db2c1184419f04e6">ANCHOR_NORTH</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9aa58734f9252ce12fbc514bb94d6e1651">ANCHOR_NORTH_WEST</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a68a3166ee2a447a7c9248f2537d77dd8">ANCHOR_NORTH_EAST</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a14f4eadf09b82e74b7d530def8a96d5f">ANCHOR_SOUTH</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a1bfaf88314d316bf66854435d10e5809">ANCHOR_SOUTH_WEST</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a4b1a0583ffe009e797947fab57ad686d">ANCHOR_SOUTH_EAST</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a6844b0426837dd98a33f02da7146ce66">ANCHOR_WEST</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9ab4f874e0c2f135b23d67024da4095469">ANCHOR_EAST</a>, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9af97b8b2ece3fa8f33f9f287779144632">ANCHOR_N</a> = ANCHOR_NORTH, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a625fcefe9a678d7927d27da604cea350">ANCHOR_NW</a> = ANCHOR_NORTH_WEST, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a0cd19efa11078b0cbd38bfc9067405b2">ANCHOR_NE</a> = ANCHOR_NORTH_EAST, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a0e825e28686530155ce1b33058e80aa9">ANCHOR_S</a> = ANCHOR_SOUTH, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a4df27b995e7b69e5b0fd08452ec4cbe4">ANCHOR_SW</a> = ANCHOR_SOUTH_WEST, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a1dc4bca70fc501af7cae123367302499">ANCHOR_SE</a> = ANCHOR_SOUTH_EAST, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9a46953a561f9b7c46ee41d308c6468f35">ANCHOR_W</a> = ANCHOR_WEST, 
<br />
&#160;&#160;<a class="el" href="group__goocanvasmmEnums.html#gga3a9e2643d330037f1178bf44e4178ea9acf82a9c5786a847a08ad0afd3c925394">ANCHOR_E</a> = ANCHOR_EAST
<br />
 }</td></tr>
<tr class="separator:ga3a9e2643d330037f1178bf44e4178ea9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga8fc775ad97af8861c25a4627465d68f7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga8fc775ad97af8861c25a4627465d68f7">operator|</a> (<a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> lhs, <a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> rhs)</td></tr>
<tr class="separator:ga8fc775ad97af8861c25a4627465d68f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga359e56aaa1da9b60f8906a368426e3a6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga359e56aaa1da9b60f8906a368426e3a6">operator&amp;</a> (<a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> lhs, <a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> rhs)</td></tr>
<tr class="separator:ga359e56aaa1da9b60f8906a368426e3a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa94d7c5f75acdd9dee03a986a34254e7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#gaa94d7c5f75acdd9dee03a986a34254e7">operator^</a> (<a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> lhs, <a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> rhs)</td></tr>
<tr class="separator:gaa94d7c5f75acdd9dee03a986a34254e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38f83664e434f8d01573fa1aeed28691"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga38f83664e434f8d01573fa1aeed28691">operator~</a> (<a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> flags)</td></tr>
<tr class="separator:ga38f83664e434f8d01573fa1aeed28691"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2d9ba96790a563e440e4b8e6365b8b55"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a>&amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga2d9ba96790a563e440e4b8e6365b8b55">operator|=</a> (<a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a>&amp; lhs, <a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> rhs)</td></tr>
<tr class="separator:ga2d9ba96790a563e440e4b8e6365b8b55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f3bd48afe24a79f1a21c7bbbea00c62"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a>&amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga3f3bd48afe24a79f1a21c7bbbea00c62">operator&amp;=</a> (<a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a>&amp; lhs, <a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> rhs)</td></tr>
<tr class="separator:ga3f3bd48afe24a79f1a21c7bbbea00c62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5c95c748bff25fbf0b0b3b0bdbc48736"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a>&amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__goocanvasmmEnums.html#ga5c95c748bff25fbf0b0b3b0bdbc48736">operator^=</a> (<a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a>&amp; lhs, <a class="el" href="group__goocanvasmmEnums.html#ga122a658ef0cec41e09f7c35ecfd48c5c">PointerEvents</a> rhs)</td></tr>
<tr class="separator:ga5c95c748bff25fbf0b0b3b0bdbc48736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a894d65ae89414ca81ac2cc350a04e7e2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGoocanvas.html#a894d65ae89414ca81ac2cc350a04e7e2">init</a> ()</td></tr>
<tr class="memdesc:a894d65ae89414ca81ac2cc350a04e7e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize goocanvasmm.  <a href="#a894d65ae89414ca81ac2cc350a04e7e2">More...</a><br /></td></tr>
<tr class="separator:a894d65ae89414ca81ac2cc350a04e7e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea13cf54eccaafcf83596103f59aba1f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGoocanvas.html#aea13cf54eccaafcf83596103f59aba1f">init</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; app_id, const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; version, int nargs, gchar* args[])</td></tr>
<tr class="separator:aea13cf54eccaafcf83596103f59aba1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a894d65ae89414ca81ac2cc350a04e7e2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Goocanvas::init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize goocanvasmm. </p>

</div>
</div>
<a class="anchor" id="aea13cf54eccaafcf83596103f59aba1f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Goocanvas::init </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;&#160;</td>
          <td class="paramname"><em>app_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;&#160;</td>
          <td class="paramname"><em>version</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>nargs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gchar *&#160;</td>
          <td class="paramname"><em>args</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000001">Deprecated:</a></b></dt><dd>these parameters are not used. Please use <a class="el" href="namespaceGoocanvas.html#a894d65ae89414ca81ac2cc350a04e7e2" title="Initialize goocanvasmm. ">init()</a> instead. </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Sep 22 2015 13:03:59 for goocanvasmm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
